<?php
error_reporting(0);
$ObjCompCotID = $_GET["ObjCompCotID"];
$Parametro = $_GET["Parametro"];

require_once("bd/cotizaciones/cotizaciones.php");
$cotizaciones = new cotizaciones();
$objConcepto = $cotizaciones->obtenerConceptoParametroName($ObjCompCotID,$Parametro);

$concepto = "";
if (sizeof($objConcepto) > 0) {
	$Valor = $objConcepto[0]["Valor"];
	$JncObjCompParID_FK = $objConcepto[0]["JncObjCompParID_FK"];
	$ValorMin = $objConcepto[0]["ValorMin"];
	$ValorMax = $objConcepto[0]["ValorMax"];

	$texto = "";
	$tooltipHelp = "";
	if ($ValorMin || $ValorMax) {
		if ($ValorMin && $ValorMax) {
			$texto = "Min: $ValorMin cm - Max: $ValorMax cm";
		}
		else if ($ValorMin && $ValorMax == null) {
			$texto = "Min: $ValorMin cm";
		}
		else if ($ValorMin == null && $ValorMax) {
			$texto = "Max: $ValorMax cm";
		}
		$tooltipHelp = "<button type='button' class='btn btn-flat btn-sm btn-default'><div class='tooltip-container' style='position:relative'>
		<i class='fa fa-question-circle tooltip-trigger'></i>
		<div class='tooltip-one'>
		$texto</div></div></button>";
	}

	if ($objConcepto[0]["Opciones"] == null && $objConcepto[0]["Query"] == null) {
		$concepto = "<div class='btn-group'>
		<input type='number' step='any' oninput='negativeNumber(this)' min='$ValorMin' max='$ValorMax' id='par$ObjCompCotID' name='$JncObjCompParID_FK' class='form-control form-control-sm flat-input' value='$Valor' required>$tooltipHelp
		</div>";
	}
	else{
		if ($objConcepto[0]["Opciones"]) {
			$explode_opciones = explode(";", $objConcepto[0]["Opciones"]);
			$concepto = "<select id='par$ObjCompCotID' name='$JncObjCompParID_FK' class='form-control selectParametros' required>";
			for ($i=0; $i < sizeof($explode_opciones); $i++) {
				$contOpcion = ($i + 1);
				$opcion = $explode_opciones[$i];
				if ($contOpcion == $Valor) {
					$concepto .= "<option value='$contOpcion' selected>$opcion</option>";
				}
				else{
					$concepto .= "<option value='$contOpcion'>$opcion</option>";
				}
			}
			$concepto .= "</select>";
		}
		if ($objConcepto[0]["Query"]) {
			$cotizaciones = new cotizaciones();
			$consultaMateriales = $cotizaciones->ejecutarConsulta($objConcepto[0]["Query"]);
			$concepto = "<select id='par$ObjCompCotID' name='$JncObjCompParID_FK' class='form-control selectParametros selectAll' required>";
			for ($i=0; $i < sizeof($consultaMateriales); $i++) {
				/*en caso de que no traiga select de Materiales, que traiga el de actividades*/
				$MatID = $consultaMateriales[$i]["MatID"] != null ? $consultaMateriales[$i]["MatID"] : $consultaMateriales[$i]["ActID"];
				$Material = $consultaMateriales[$i]["Material"] != null ? $consultaMateriales[$i]["Material"] : $consultaMateriales[$i]["Actividad"];

				if ($Valor == $MatID) {
					$concepto .= "<option value='$MatID' selected>$Material</option>";
				}
				else{
					$concepto .= "<option value='$MatID'>$Material</option>";
				}
			}
			$concepto .= "</select>";
		}
	}
}
echo $concepto;
?>
